Subject: libbonobo configure and missing XML/
To: None <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 02/12/2005 10:30:49
I have p5-XML-Parser-2.34nb2 installed. It provides

I have perl, v5.8.6 installed. It is perl-5.8.6nb3. I see it has a

$NetBSD: MESSAGE,v 1.1 2004/01/08 19:18:00 jlam Exp $

perl-5.8.6nb3 will use the following directory as the default
location of the site-specific Perl modules:



When building devel/libbonobo, it fails with:

checking for perl... /usr/bin/perl
checking for XML::Parser... configure: error: XML::Parser perl module is
required for intltool

config.log has:
configure:2072: error: XML::Parser perl module is required for intltool

Which leads me to try:

$ perl -e "require XML::Parser"
Can't locate XML/ in @INC (@INC contains:
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl
/usr/lib/perl5/5.8.6/i386-linux-thread-multi /usr/lib/perl5/5.8.6 .) at -e
line 1

Should I expect the 5.8.5 version of XML::Parser to work? (I think it
should, but perl MESSAGE suggests it may not.)

So when perl is updated to a new directory numbering, should all
dependencies be bumped? I don't think so.

Anyways, what is the best way to handle this.

The workaround of rebuilding and textproc/p5-XML-Parser will work, but
then I will end up with a new package with identical version name
(p5-XML-Parser-2.34nb2) but with different contents.

(I have same problem with not-found XML::Parser on two systems.)

 Jeremy C. Reed

 	  	 	 open source, Unix, *BSD, Linux training